#!/bin/bash
depsdir=.tclp_deps
mkdir -p $depsdir
rm -f $depsdir/deps
(
    for i in $* ; do
        escaped_typecheck=$(echo "$depsdir/$i" | sed 's/\//\\\//g' | sed 's/\./\\\./g')
        sed -ne 's/^ *:- *use_module(\([^A-Z_][^().]*\)).*$/'"$escaped_typecheck"': \1.typ/p' $i
        sed -ne 's/^ *:- *use_module(tclp(\([^A-Z_][^().]*\))).*$/'"$escaped_typecheck"': tclp\/\1.typ/p' $i
        escaped_typ=$(echo "$i" | sed 's/\.pl/\.typ/' | sed 's/\//\\\//g' | sed 's/\./\\\./g')
        sed -ne 's/^ *:- *module(.*$/'"$escaped_typecheck"': '"$escaped_typ"'/p' $i
    done
) > $depsdir/deps

